Allow lightdm to be an alternate recommends for gdm3

Bug #1690938 reported by Jeremy Bicha on 2017-05-15
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gnome-shell (Ubuntu)
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
Zesty
High
Unassigned

Bug Description

Impact
------
If an Ubuntu user installs gnome-shell, they will be shown a debconf prompt asking to choose between gdm3 and lightdm. No information is given as to why one or the other should be chosen.

This can be fixed by recommending gdm3 | lightdm

Test Case
---------
From Ubuntu (Unity), install gnome-shell. gdm3 should not be installed and there should be no debconf prompt.

Regression Potential
--------------------
None really. GDM does look a bit nicer with GNOME Shell than LightDM in 17.04 and older releases but if a user wants GNOME Shell to look nice, they should just install Ubuntu GNOME. It's not worth the avoidable debconf question for that.

Other Info
----------
This was already done for artful as part of the GNOME transition.

Users will still see a debconf prompt if they install ubuntu-gnome-desktop but there's not much we can do about that now in SRUs.

All Ubuntu "desktop" flavors except for Ubuntu GNOME and Kubuntu use LightDM. Kubuntu currently uses sddm, but no one has bothered to get sddm working with GNOME Shell.

Jeremy Bicha (jbicha) on 2017-05-15
summary: - Don't recommend gdm3
+ Allow lightdm to be an alternate recommends for gdm3
description: updated
Changed in gnome-shell (Ubuntu Xenial):
status: New → In Progress
importance: Undecided → High
Changed in gnome-shell (Ubuntu Yakkety):
importance: Undecided → High
status: New → In Progress
Changed in gnome-shell (Ubuntu Zesty):
importance: Undecided → High
status: New → In Progress

Hello Jeremy, or anyone else affected,

Accepted gnome-shell into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.24.2-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-shell (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed
Łukasz Zemczak (sil2100) wrote :

Hello Jeremy, or anyone else affected,

Accepted gnome-shell into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.20.4-0ubuntu3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-shell (Ubuntu Yakkety):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Jeremy, or anyone else affected,

Accepted gnome-shell into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.18.5-0ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-shell (Ubuntu Xenial):
status: In Progress → Fix Committed
Jeremy Bicha (jbicha) wrote :

From Ubuntu (Unity) 16.04, 16.10 and 17.04, I enabled -proposed updated and installed gnome-shell and was not asked whether to pick gdm3 or lightdm. I logged out of Unity and logged into GNOME successfully.

gnome-shell 3.18.5-0ubuntu0.3 (16.04)
gnome-shell 3.20.4-0ubuntu3 (16.10)
gnome-shell 3.24.2-0ubuntu0.1 (17.04)

tags: added: verification-done
removed: verification-needed
tags: added: verification-done-xenial verification-done-yakkety verification-done-zesty
removed: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.18.5-0ubuntu0.3

---------------
gnome-shell (3.18.5-0ubuntu0.3) xenial; urgency=medium

  * Extend ubuntu-lightdm-user-switching.patch to allow
    locking screen using LightDM (LP: #1684205)
  * Allow lightdm to be an alternate recommends for gdm3 to avoid debconf
    question if a display manager is already installed (LP: #1690938)
  * Depend on caribou, needed for the Screen Keyboard (LP: #1589240)
  * Recommend chrome-gnome-shell, needed for Firefox, Chromium, Chrome and
    Opera to work with https://extensions.gnome.org/ (LP: #1672175)

 -- Jeremy Bicha <email address hidden> Sat, 13 May 2017 17:46:47 -0400

Changed in gnome-shell (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-shell has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.20.4-0ubuntu3

---------------
gnome-shell (3.20.4-0ubuntu3) yakkety; urgency=medium

  * Extend ubuntu-lightdm-user-switching.patch to allow
    locking screen using LightDM (LP: #1684205)
  * Allow lightdm to be an alternate recommends for gdm3 to avoid debconf
    question if a display manager is already installed (LP: #1690938)
  * Depend on caribou, needed for the Screen Keyboard (LP: #1589240)
  * Recommend chrome-gnome-shell, needed for Firefox, Chromium, Chrome and
    Opera to work with https://extensions.gnome.org/ (LP: #1672175)

 -- Jeremy Bicha <email address hidden> Mon, 15 May 2017 18:38:18 -0400

Changed in gnome-shell (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.24.2-0ubuntu0.1

---------------
gnome-shell (3.24.2-0ubuntu0.1) zesty; urgency=medium

  * New upstream release (LP: #1690182)
  * Extend ubuntu-lightdm-user-switching.patch to allow
    locking screen using LightDM (LP: #1684205)
  * Allow lightdm to be an alternate recommends for gdm3 to avoid debconf
    question if a display manager is already installed (LP: #1690938)
  * Depend on caribou, needed for the Screen Keyboard (LP: #1589240)

 -- Jeremy Bicha <email address hidden> Mon, 15 May 2017 18:36:22 -0400

Changed in gnome-shell (Ubuntu Zesty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers